Subject: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Michael Albinus <[email-masked]>
Date: Thu, 17 Mar 2016 20:54:17 +0100

Dmitry Gutov <[email-masked]> writes:

> On 03/17/2016 09:43 PM, Michael Albinus wrote:
>
>> I couldn't provoke the bug with the recipe you ought to use:
>>
>> emacs -Q
>> M-x eshell
>> cd /
>> M-x pcomplete
>>
>> So I cannot answer that question. Or do you use another recipe?
>
> Like I've described in this bug report, you also need to load Tramp.

emacs -Q
M-x load-library tramp
M-x eshell
cd /
M-x pcomplete

Still no error. Tests performed in the emacs-25 branch.

Best regards, Michael.